apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: etcd-1.0.1
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: etcd
      name: etcd
      podspec:
        containers:
          - name: etcd
      provides:
        - exposed: false
          name: etcd
          network: direct
          servicespec:
            ports:
              - name: clients
                port: 2379
                protocol: TCP
              - name: peers
                port: 2380
                protocol: TCP
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 1
  dependencies:
    operator:
      name: etcd-operator
      vendor: asag
      version: 1.0.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.7.1
  name: etcd
  settings:
    - name: environment
      schema:
        default: etcd_prod
    - from:
        - user
      name: client_cert_auth
      schema:
        default: true
        description: Whether to use client certificate authentication, otherwise password authentication.
        type: boolean
  version: 1.0.1
